apiVersion: v1
kind: Service
metadata:
    name: pihole
    namespace: pihole
spec:
    type: LoadBalancer
    externalTrafficPolicy: ENC[AES256_GCM,data:UYs+Eww=,iv:W29ALZt9nkvaq9nEIQqBeRz3z0DnDb8HkvCSJm4i8Og=,tag:dpJQ1IxT0uMEP3Iqpyn0hA==,type:str]
    ports:
        - name: ENC[AES256_GCM,data:k5a7++o=,iv:Av+lJQ0bA4lMlRB5ZIhvCfBd1zf77UQawxn+vUzrGsY=,tag:+y7XI7qmSOH2PO4u/zCFLw==,type:str]
          port: ENC[AES256_GCM,data:BSh7,iv:QPho1swz9fpicaHDCNYiD5+TBIS9fQ1Dg/94FPpALe4=,tag:n/XnJlhqNlXqmgn7BICAnw==,type:int]
          protocol: ENC[AES256_GCM,data:skEy,iv:Tj1J7dqPPc2NHD5/EihTF9+J8ajBVrICCBFqk0mr3eE=,tag:OPqTBPUF7hMojyImRmCVLg==,type:str]
          targetPort: ENC[AES256_GCM,data:pV7K,iv:YlpgyTCAiW1qbvbVLWRUTQ0s/Lmw3KbfZArR3dU5oEE=,tag:ZrXlU5R4LtlEaMVzCG++Cg==,type:int]
        - name: ENC[AES256_GCM,data:K8Vvmg==,iv:gOAtR3gSZUYrQy3i2M5K+LrC8MSjovuCrwdbSQ5gxJg=,tag:fP31OgfKZ6GoeqP+O53b5A==,type:str]
          port: ENC[AES256_GCM,data:aQ0=,iv:fOffipExnNVgUwXMFXqmZu1MLNAdwTN+K5IiuOCoYuc=,tag:IBQg1hAMMph3RmxbhTRMSw==,type:int]
          protocol: ENC[AES256_GCM,data:lFMN,iv:/KoKf9lIzofeMtSMk830KNPvwaQFX7rJcvn2miw1+gY=,tag:dlbO8LBMw4fxY4FY/nGtgA==,type:str]
          targetPort: ENC[AES256_GCM,data:Jok=,iv:og5YG4A7BMO6aaOYyi5yXAebdH3avw4bO0ubhe51sug=,tag:CVstO91l+tJRdZwGcuvang==,type:int]
        - name: ENC[AES256_GCM,data:huTf0tBDLA==,iv:1T9dbY7eN1bDEiqE4SyQFxlcFsea398eM6Y0z/SopZE=,tag:b6bJfSPGnebN2vFczOYCiA==,type:str]
          port: ENC[AES256_GCM,data:C4c=,iv:TIhuPPi1V7Wgdq8q37k4+A4D9EH30jNh0y153oeBSD4=,tag:Z9q/StgNwUH2YWM2F/tHiw==,type:int]
          protocol: ENC[AES256_GCM,data:r3En,iv:CyYepNyeSevBTjvpY78Idaxs3o1WNKFWj493ElpTRn0=,tag:Npmy8bWWA2ToWjLt2kBeLQ==,type:str]
          targetPort: ENC[AES256_GCM,data:LVY=,iv:pogSer8mDakSCtBSE8N3or6gpePmpvgsrfw+r0gHWOc=,tag:MVidxEctWC4Ci9604I0VBg==,type:int]
        - name: ENC[AES256_GCM,data:xC86I4xA2w==,iv:pcfiOLshVGmA43o2Hkuudbf/kY0yDal4X7Xp2OUgtZw=,tag:qeNUb+iLFghoEdLq+r1EwA==,type:str]
          port: ENC[AES256_GCM,data:Hb0=,iv:AqWsaDIsgn3NgjIHAXkeWOoPJSbuCI5SxZTcYaoXwPk=,tag:AoeDnhDLFmEby5Ndn5Zx4Q==,type:int]
          protocol: ENC[AES256_GCM,data:BAc1,iv:VHjXv8TOuKFDlnYUHkCiXsZV6QwBJaG9MC3O4KOtS9Q=,tag:79c6MyiBkCYf3kKeLfL0tw==,type:str]
          targetPort: ENC[AES256_GCM,data:OLk=,iv:bWtinuO6Rl3VZDv0VyhqnCWK/kuKCuzRTJTJd5mZAOo=,tag:ipgPowvJXAzmVJ5lp8YWoA==,type:int]
        - name: ENC[AES256_GCM,data:GgVKOQ==,iv:b8r1TubuYru0a7uUsjRIK+XwKeOY9wLciO3iG6BjHB0=,tag:rhuWwvWnVTVdXKNreFX7pw==,type:str]
          port: ENC[AES256_GCM,data:5JI=,iv:dbxFuJOwYWuNtWzCYvpcDW81+ipQyip2R7cmjz/ybj8=,tag:WPIKQrMtgysuu+nApea0ww==,type:int]
          protocol: ENC[AES256_GCM,data:cRoh,iv:+GngKDED7LSLvs1NBVMoN7B1y7ZvMgFE6X9dp8XR3xA=,tag:tdZQ4i1MEn+oB8AQdxYT6A==,type:str]
          targetPort: ENC[AES256_GCM,data:ixM=,iv:nD5ZcGyN/xX1KxZDY4XZLSbPEUcTrj8v+Ueb6yciTVo=,tag:k1vNeNimMzZC/1WXiryqQA==,type:int]
    selector:
        app: ENC[AES256_GCM,data:MKu5COJj,iv:Rtox8c95PilcIDMnRlc0LTnVyasMGxC477FQS73VAU0=,tag:R+ot9EIrLBRoJRqs9q4XBw==,type:str]
    loadBalancerIP: ENC[AES256_GCM,data:WDg7KyW/3Oe8BG1G,iv:ARTFjqYJJR2OTHgx9yZ6qgbIBQ2toS65ZFD2AoNdcTU=,tag:BEm9elybVt/tRhRkoZLIHw==,type:str]
sops:
    kms: []
    gcp_kms: []
    azure_kv: []
    hc_vault: []
    age:
        - recipient: age1u0mt3kmhsr9tz2jaw8n0ztu7s9hnlffkd2acxf85cvk6tysj4gsqqulfdq
          enc: |
            -----BEGIN AGE ENCRYPTED FILE-----
            YWdlLWVuY3J5cHRpb24ub3JnL3YxCi0+IFgyNTUxOSBWVXdWdnl6MisvYTMvZzZL
            L1ZNMzJKZFdFM1V3VzBBY0F2ci8xYzh0VURnCjd2N2V6VTNVaXYzSE1HQ0M0ZGFs
            VC9NYXhQQkFBTVRsMEhSdkFmYlJXck0KLS0tIHh1Z1A5UXlNUk8vT1RNdVdRdTM4
            NzFPdlZIV0hJRDAxc281cFhkRlg3M1kKAVry2s1+/u5mx3BpxcZh4bZiK0D29W+d
            jD5bdqW2M7g2g9Esiol7yh2EYiOvjRTufxaWAS1BXQmM5OMJXcFNpA==
            -----END AGE ENCRYPTED FILE-----
    lastmodified: "2025-06-21T20:34:11Z"
    mac: ENC[AES256_GCM,data:7ohpKAevE7POLIuGnkDv8AuOsk1Z84z7Lf3wkCfqdnt2jAVKPRSq5B9B/JnAhjaVcy/t5QoPmfhOhU8X3EossGHrjvDt+xvc125kCG7YK67KlGUqBkDPi7QCxQrlOpmo2+cXmd+eIPSi3E4Sh6KDqNKlmLUZ1Fcyb+X0attRcxs=,iv:ZtWCxn8ZXZf/joZDW7EszAQdz9AjtcJlW6Xsg2LWnOA=,tag:WvsTHLCfQJBj7qvkDbUP8w==,type:str]
    pgp: []
    unencrypted_regex: ^(apiVersion|metadata|kind|type)$
    version: 3.9.1
